# Created by pyp2rpm-3.3.5
%global pypi_name python-lsp-jsonrpc
%global srcname lsp-jsonrpc
%global with_test 0

Name:           python-%{srcname}
Version:        1.1.2
Release:        %mkrel 2
Summary:        JSON RPC 2.0 server library
Group:          Development/Python
License:        None
URL:            https://github.com/python-lsp/python-lsp-jsonrpc
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
A Python 3.6+ server implementation of the JSON RPC 2.0 protocol. 
This library has been pulled out of the Python LSP Server project.

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3dist(coverage)
Requires:       python3dist(pycodestyle)
Requires:       python3dist(pyflakes)
Requires:       python3dist(pylint)
Requires:       python3dist(pytest)
Requires:       python3dist(pytest-cov)
Requires:       python3dist(ujson) >= 3

%description -n python3-%{srcname}
A Python 3.6+ server implementation of the JSON RPC 2.0 protocol. 
This library has been pulled out of the Python LSP Server project.


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pylsp_jsonrpc

%if %with_test
# https://github.com/python-lsp/python-lsp-jsonrpc/issues/6 is not solved
%check
%pytest
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md



%changelog
* Fri Feb 02 2024 papoteur <papoteur> 1.1.2-2.mga10
+ Revision: 2036829
- rebuild for python 3.12

* Tue Oct 03 2023 papoteur <papoteur> 1.1.2-1.mga10
+ Revision: 1993556
- new 1.1.2

* Tue Sep 19 2023 papoteur <papoteur> 1.1.1-1.mga10
+ Revision: 1988097
- new 1.1.1

* Wed Sep 07 2022 papoteur <papoteur> 1.0.0-1.mga9
+ Revision: 1884855
- imported package python-lsp-jsonrpc

